apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
  labels:
    app.kubernetes.io/instance: element-web
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: element-web
    app.kubernetes.io/version: 1.12.17
    helm.sh/chart: element-web-1.4.36
  name: element-web
  namespace: matrix
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/instance: element-web
      app.kubernetes.io/name: element-web
  template:
    metadata:
      annotations:
        checksum/config: 258884d3c78bc05fe275db741f0d980e7e157fe0cd432aa4302e6a59d423012a
        checksum/config-nginx: 7b910777640c47e06f1153bb1d327cc8b7bbfe8ee1d58e444c5abcc2a4afb7a0
      labels:
        app.kubernetes.io/instance: element-web
        app.kubernetes.io/name: element-web
    spec:
      containers:
        - env:
            - name: ELEMENT_WEB_PORT
              value: "8080"
          image: ghcr.io/element-hq/element-web:v1.12.17
          imagePullPolicy: IfNotPresent
          livenessProbe:
            httpGet:
              path: /
              port: http
          name: element-web
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            limits:
              memory: 64Mi
            requests:
              cpu: 10m
              memory: 32Mi
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
                - ALL
            readOnlyRootFilesystem: false
          volumeMounts:
            - mountPath: /app/config.json
              name: config
              subPath: config.json
            - mountPath: /etc/nginx/conf.d/config.json
              name: config-nginx
              subPath: config.json
      securityContext:
        fsGroup: 101
        runAsGroup: 101
        runAsNonRoot: true
        runAsUser: 101
        seccompProfile:
          type: RuntimeDefault
      serviceAccountName: element-web
      volumes:
        - configMap:
            name: element-web
          name: config
        - configMap:
            name: element-web-nginx
          name: config-nginx
